Package wx :: Package lib :: Module foldpanelbar :: Class FoldPanelItem

[frames | no frames]

## Type FoldPanelItem

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            FoldPanelItem

This class is a child sibling of the `FoldPanelBar` class. It will contain a `CaptionBar` class for receiving of events, and a the rest of the area can be populated by a `wx.Panel` derived class.

Method Summary
| ``__init__`(self, parent, id, caption, foldIcons, collapsed, cbstyle)` Default Class Constructor.
| ``AddSeparator`(self, colour, Spacing, leftSpacing, rightSpacing)` Adds a separator item to the list of items on this panel.
| ``AddWindow`(self, window, flags, Spacing, leftSpacing, rightSpacing)` Adds a window item to the list of items on this panel.
| ``ApplyCaptionStyle`(self, cbstyle)` Applies the style defined in cbstyle to the CaptionBar.
| `Collapse(self)`
| `Expand(self)`
| ``GetCaptionLength`(self)` Returns height of caption only.
| ``GetCaptionStyle`(self)` Returns the current style of the captionbar in a CaptionBarStyle class.
| ``GetItemPos`(self)` Returns item's position.
| ``GetPanelLength`(self)` Returns size of panel.
| ``IsExpanded`(self)` Returns expanded or collapsed status.
| ``IsVertical`(self)` Returns wether the CaptionBar Has Default Orientation Or Not.
| ``OnPaint`(self, event)` Handles the EVT_PAINT event in the FoldPanelItem.
| ``OnPressCaption`(self, event)` Handles the EVT_CAPTIONBAR event in the FoldPanelItem.
| ``Reposition`(self, pos)` Repositions this FoldPanelBar and reports the length occupied for the next FoldPanelBar in the list.
| ``ResizePanel`(self)` Resizes the panel.

Property Summary

Class Variable Summary
`CaptionBarStyle` | `EmptyCaptionBarStyle` = `<wx.lib.foldpanelbar.CaptionBarSt...`

Instance Method Details

### __init__(self, parent, id=-1, caption='', foldIcons=None, collapsed=False, cbstyle=<wx.lib.foldpanelbar.CaptionBarStyle instance at 0xb490ceec>)
(Constructor)

Default Class Constructor.

  Overrides:
    `wx.Panel.__init__`

### AddSeparator(self, colour=..., Spacing=8, leftSpacing=5, rightSpacing=10)

Adds a separator item to the list of items on this panel.

### AddWindow(self, window, flags=1, Spacing=8, leftSpacing=2, rightSpacing=2)

Adds a window item to the list of items on this panel.

The flags are FPB_ALIGN_LEFT for a non sizing window element, and FPB_ALIGN_WIDTH for a width aligned item. The Spacing parameter reserves a number of pixels before the window element, and leftSpacing is an indent. rightSpacing is only relevant when the style FPB_ALIGN_WIDTH is chosen.

### ApplyCaptionStyle(self, cbstyle)

Applies the style defined in cbstyle to the CaptionBar.

### GetCaptionLength(self)

Returns height of caption only. This is for folding calculation purposes.

### GetCaptionStyle(self)

Returns the current style of the captionbar in a CaptionBarStyle class.

This can be used to change and set back the changes.

### GetItemPos(self)

Returns item's position.

### GetPanelLength(self)

Returns size of panel.

### IsExpanded(self)

Returns expanded or collapsed status. If the panel is expanded, True is returned.

### IsVertical(self)

Returns wether the CaptionBar Has Default Orientation Or Not.

Default is vertical.

### OnPaint(self, event)

Handles the EVT_PAINT event in the FoldPanelItem.

### OnPressCaption(self, event)

Handles the EVT_CAPTIONBAR event in the FoldPanelItem.

### Reposition(self, pos)

Repositions this FoldPanelBar and reports the length occupied for the next FoldPanelBar in the list.

### ResizePanel(self)

Resizes the panel.

Class Variable Details

### EmptyCaptionBarStyle

  Type:
    `CaptionBarStyle`
  Value:

        <wx.lib.foldpanelbar.CaptionBarStyle instance at 0xb490ceec>

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:57 2007 | http://epydoc.sf.net